**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/22.3/workflows/bulk-active-workflow-actions/retrieve-bulk-workflow-action-details.md

# Retrieve Bulk Workflow Action Details



Once you’ve retrieved the available workflow actions, use this request to retrieve the details for a specific workflow action.

<Endpoint path="/api/{version}/object/workflow/actions/{action}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `action` | The `name` of the workflow action. To get this value, [Retrieve Bulk Workflow Actions](/vault-api/api-reference/22.3/workflows/bulk-active-workflow-actions/retrieve-bulk-workflow-actions). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.2/object/workflow/actions/cancelworkflows

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "cancelworkflows",
       "controls": [
           {
               "prompts": [
                   {
                       "multi_value": true,
                       "label": "Workflow Ids",
                       "required": true,
                       "name": "workflow_ids"
                   }
               ],
               "type": "field",
               "label": "Fields"
           }
       ]
   }
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response returns metadata for the specified workflow action, including the fields required to execute the action.

For each control, the following data may be returned:

<FieldTable>
| Name | Description |
| --- | --- |
| `label` | UI label for the control. |
| `type` | Type of control. |
| `prompts` | The input prompts which accept values when initiating a workflow action. |
</FieldTable>
For each prompt, the following data may be returned:



---

**Previous:** [Retrieve Bulk Workflow Actions](/regulatory/vault-api/api-reference/22.3/workflows/bulk-active-workflow-actions/retrieve-bulk-workflow-actions)  
**Next:** [Initiate Workflow Actions on Multiple Workflows](/regulatory/vault-api/api-reference/22.3/workflows/bulk-active-workflow-actions/initiate-workflow-actions-on-multiple-workflows)